VIG_OPTIMIZE("1")

NAME
vig_optimize - Optimise photometric parameters

SYNOPSIS
vig_optimize [options] -o output.pto input.pto

DESCRIPTION
Photometric calculation can be performed on the command-line with the vig_optimize tool. This functionally is configured via 'v' variable lines in the .pto project file in a similar way to the autooptimiser tool:

The camera response curve is simplified using the EMoR sensor model which reduces the variation to five numbers, these are the Ra, Rb, Rc, Rd & Re image (i) parameters (the default values of 0.0 are equivalent to an 'average' generic sensor).

The vignetting model is represented by a polynomial with four parameters: Va (this is always 1.0 and doesn't need to be optimised) and Vb, Vc & Vd (which default to 0.0 - equivalent to no vignetting). The vignetting centre can also be different from the geometrical centre, this is specified by Vx & Vy (both default to 0.0).

Exposure (EV) is represented by a single value Ev (defaults 0.0, equivalent to no-change).

The white balance is represented by multipliers for the red and blue channels Er and Eb (the defaults of 1.0 are equivalent to no-change).

A typical 'v' variable line configuration would look like this, i.e. optimise camera response curve and vignetting for image 0 and exposure for images 1, 2, 3 and 4:

  v Ra0 Rb0 Rc0 Rd0 Re0 Vb0 Vc0 Vd0
  v Ev1 Ev2 Ev3 Ev4

(vignetting centre and white balance are left unchanged)

OPTIONS
General options:

-o file
    Write results to output project

-v  Verbose, print progress messages

-p n
    Number of points to extract

-r  Extract random point (faster, but less accurate)

-s level
    Work on downscaled images, every step halves width and height

-h  Display help summary.

Expert and debugging options:

-i file
    Read corresponding points from file

-w file
    Dump corresponding points to file

AUTHORS
Written by Pablo d'Angelo. Also contains contributions from Douglas Wilkins, Ippei Ukai, Ed Halley, Bruno Postle, Gerry Patterson and Brent Townshend.

This man page was written by Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> and is licensed under the same terms as the hugin package itself.